Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: upgrade to PHP5.6.30

  1. #1

    Default upgrade to PHP5.6.30

    Hello,

    I am a new OpenSuse user. I need to use PHP5.6.5 or above.

    I installed LAMP on OpenSuse42.3. It was PHP5.5.14. I am going to upgrade it to PHP5.6.30 and hit a error.

    First command returned successfully:
    zypper ar -f http://download.opensuse.org/reposit...uages:php.repo

    Second command returned with error:
    zypper up -r devel_languages_php php5

    File './repodata/833831df264e45ba999ceac74a266838b76799b1101102e5fe817f274ad1be66-primary.xml.gz' not found on medium 'http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_Leap_42.3/'



    Then I went to YAST2 Software Management. On starting this module, the same error poped up. I chose skipping it. When I run a search, there wasn't any PHP5.6.30 but only PHP5.5.14 and PHP7

    Could anyone please help?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,721

    Default Re: upgrade to PHP5.6.30

    In my opinion, you need a switch to that new repo. And that is done with
    Code:
    zypper dup --from <the name, alias orr number from the new repo comes here>
    You do this only one time to switch the vendor of the packages that you already have from the OSS repo, to those of the same name on the new repo. After that you can do zypper up when needed.

    But I am afraid that that does not explain the error. That needs further investigation (by me or others that know better).
    Henk van Velden

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,796

    Default AW: upgrade to PHP5.6.30

    http://download.opensuse.org/reposit...ata/repomd.xml does not contain the right Filenames for xxxxx.xml.gz.

    Problem on the Server.

  4. #4
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,002

    Default Re: upgrade to PHP5.6.30

    Possible mirror here;
    Code:
    http://ftp.gwdg.de/pub/opensuse/repositories/devel%3A/languages%3A/php/openSUSE_Leap_42.3/
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  5. #5

    Default Re: upgrade to PHP5.6.30

    Thank all of you! I have tried following 2 commands and it still returned error.

    Code:
    #
    
    Su423-PHP56:~ # zypper ar -f http://ftp.gwdg.de/pub/opensuse/repositories/devel%3A/languages%3A/php/openSUSE_Leap_42.3/devel:languages:php.repo
    File '/pub/opensuse/repositories/devel%3A/languages%3A/php/openSUSE_Leap_42.3/devel:languages:php.repo' not found on medium 'http://ftp.gwdg.de/'
    
    
    Abort, retry, ignore? [a/r/i/...? shows all options] (a): a
    
    
    Su423-PHP56:~ # zypper dup --from http://ftp.gwdg.de/pub/opensuse/repositories/devel%3A/languages%3A/php/openSUSE_Leap_42.3/devel:languages:php.repo
    Retrieving repository 'devel:languages:php (openSUSE_Leap_42.3)' metadata ---[|]
    File './repodata/833831df264e45ba999ceac74a266838b76799b1101102e5fe817f274ad1be66-primary.xml.gz' not found on medium 'http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_Leap_42.3/'
    
    
    #
    Regards

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,721

    Default Re: upgrade to PHP5.6.30

    Well, when the first command did not finish successful, it is rather useless to start the second command.

    And the parameter belonging to --from in the second is not what I suggested.

    Please show your current repo list:
    Code:
    zypper lr -d
    Last edited by hcvv; 14-Oct-2017 at 07:42.
    Henk van Velden

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,296
    Blog Entries
    15

    Default Re: upgrade to PHP5.6.30

    Hi
    Plus with the scheduled outage, there were mirror issues etc, best to wait until after the weekend and it's back on the real systems rather than backup ones.

    https://status.opensuse.org/
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8

    Default Re: upgrade to PHP5.6.30

    I also tried to load Miuku's repo. It was successful:
    Code:
    # zypper ar -f https://download.opensuse.org/repositories/home:/Miuku/openSUSE_Leap_42.3/home:Miuku.repo
    Then I went to YAST2 Software Management, there was similar error:
    Code:
    File './repodata/844df0e2d51e027411882a7cf2d1bfbd0f47e8bb8cd0b6a52a32486dc4852d06-primary.xml.gz' not found on medium 'http://download.opensuse.org/reposit...USE_Leap_42.3/'
    I am not sure if I input wrong arguments.

    Regards

  9. #9

    Default Re: upgrade to PHP5.6.30

    Oh yes, there is scheduled outage notice. I will enjoy my Sunday and come back again on Mon.
    Many thanks everybody!

    Have a joyful Sunday!
    Cheers

  10. #10
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,805
    Blog Entries
    1

    Default Re: upgrade to PHP5.6.30

    After adding the PHP repo, you should have been able to upgrade with a no-uptions update (no need for vendor change, etc).
    Updating should automatically detect the newer version PHP packages and update automatically.

    So, just run
    Code:
    zypper up
    And then check your PHP version.
    I assume if you've already enabled PHP modules for apache, you won't have to re-inspect your modules.

    As for your looking for PHP 6.5...
    Why?
    It's never been released, so not likely available anywhere in openSUSE.
    What are you doing that requires it?
    And... Because it was never released, you'll likely get it only from a PHP repo, nowhere else.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •